' Example 1: Simple program that verifies if a valid SmartDongle is plugged in.
'
' MicroWorks, Inc.
' 2808 North Cole Road
' Boise, ID 83704
'
' http://www.smartdongle.com

Imports System

Module Example1

    Sub Main()

        Dim dongle As New SmartDongle()
        Dim P1 As Int64, P2 As Int64
        Dim dnglError As SmartDongle.SmartDnglError
        Dim buf() As Byte = New Byte(0) {}


        '
        '  Your keys here
        '
        P1 = &HEC6CC589AEFD1E75
        P2 = &HFCEC0A6A82747B3F

        ' Check if valid SmartDongle is present.
        '
        dnglError = dongle.Read(P1, P2, 0, buf, 0)
        If dnglError <> SmartDongle.SmartDnglError.UskOk Then
            System.Console.WriteLine(SmartDongle.GetErrorString(dnglError))
            ' handle error
        Else
            System.Console.WriteLine("Success: Valid SmartDongle found")
        End If

        System.Console.WriteLine("")
        System.Console.WriteLine("Press <Enter> to Exit")
        System.Console.ReadLine()

    End Sub

End Module
