' Example 4: Read a SmartDongle Serial Number
'
' MicroWorks, Inc.
' 2808 North Cole Road
' Boise, ID 83704
'
' http://www.smartdongle.com

Imports System

Module Example4

    Sub Main()

        Dim dongle As New SmartDongle()
        Dim dnglError As SmartDongle.SmartDnglError
        Dim serialNumber(SmartDongle.CP2_SERIALNUM_LENGTH) As Char


        dnglError = dongle.GetSerialNumber(serialNumber)
        Dim serialNumberString As String = New String(serialNumber, 0, serialNumber.Length)
        If dnglError <> SmartDongle.SmartDnglError.UskOk Then
            System.Console.WriteLine(SmartDongle.GetErrorString(dnglError))
            ' handle error
        Else
            System.Console.WriteLine("Serial Number: {0:G}", serialNumberString)
        End If

        System.Console.WriteLine("")
        System.Console.WriteLine("Press <Enter> to Exit")
        System.Console.ReadLine()

    End Sub

End Module
